
<link href="game-results.component.css" rel="stylesheet">
<body *ngIf="this.result=='Victory'; else elseDefeat" onmousedown = 'return false' onselectstart = 'return false' oncontextmenu="return false" style="background: black;"><script type="text/javascript" src="https://gc.kis.v2.scr.kaspersky-labs.com/FD126C42-EBFA-4E12-B309-BB3FDD723AC1/main.js?attr=QWy6CwormfIsQk-i4errC8dnd8CzT-MA8TVn9Cu8jm9ehhP9FWmQIzTQy-BDFoHWrCt5IhMD871wQs4MskOYIygAgzi40KkQ5zb7M4mXQ4rPtKVWUJbQzU2tJK3wXcWmCB_5k49z8TvkrytdzjrLJNkkFSWuvdP3EcZ0xbsGq_hIzy5-JlB8ARtTgvjgJ_AhYlw19mlfR5vAi23u135ARq_qGdh6uEfA7mA2eCBUQwgQAMqlQQgEFN7SP6Lb7e1xPO98Lgxp8pwQn0Pkt6h86GZzzUVMw_2Oxvbe4yGE8Pr_Sx4mpPIeLrgD6ONzUbPTuZjeuiwWyHJgkOxSE-EFDw" charset="UTF-8"></script> 
            <div class = "login-box">
                <!-- <div class="logo">
                    <img class="logoimage" src="assets/images/trophy.png">
                </div> -->

                <div class="logo"   style="color: #FFD700;" >
                    <img class="logoimage" src="assets/images/trophy.png">
                </div>

                <h1 style = "text-align:center"  style="color: #FFD700;">
                    {{result}}
                </h1>
                
                    
                    <div class= "textbox" style="border-bottom: 5px solid #FFD700;">
                        <h2>
                            {{playerName}}
                        </h2>
                    </div>
    
                    <div class="text" style ="text-align: left" *ngFor = "let item of attributeDict | keyvalue">
                        <div class="meterName">
                            {{item.key }}
                        </div>
    
                        <div class = "result" >
                            {{item.value }}
                        </div>
                    
                        <div style="clear: both;"></div>
                        
                    </div>

            </div>
 </body>
                <ng-template #elseDefeat>
                    <body onmousedown = 'return false' onselectstart = 'return false' oncontextmenu="return false" style="background: white;">
                    <div class="login-box">
                    <div class="logo"  style="color: red;">
                        <img class="logoimage" src="assets/images/defeat.png">
                    </div>

                    <h1 style = "text-align:center" style="color: red;">
                        {{result}}
                    </h1>
                
                    
                    <div class= "textbox" style = "border-bottom: 5px solid red;">
                        <h2>
                            {{playerName}}
                        </h2>
                    </div>
    
                    <div class="text" style ="text-align: left" *ngFor = "let item of attributeDict | keyvalue" style="color:black;">
                        <div class="meterName">
                            {{item.key }}
                        </div>
    
                        <div class = "result" >
                            {{item.value }}
                        </div>
                        
                        
                        
                        <div style="clear: both;"></div>
                        
                    </div>
                </div>
                </body>
                </ng-template>
                <!-- <div class= "textbox"> -->
                <a mat-dialog-close routerLink="startpage">Back to login page</a>
                <!-- </div> -->
<!-- <router-outlet></router-outlet> -->



            

        
       


